Package musicbrainz2 :: Module webservice :: Class UserFilter

[frames] | no frames]

# Class UserFilter

source code

    object --+
             |
       IFilter --+
                 |
                UserFilter

A filter for the user collection.

Instance Methods

__init__(self, name=None) Constructor. | source code

createParameters(self) Create a list of query parameters. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name=None)
(Constructor)

source code

Constructor.

Parameters:
  - `name` - a unicode string containing a MusicBrainz user name
Overrides: object.__init__

### createParameters(self)

source code

Create a list of query parameters.

This method creates a list of (`parameter`, `value`) tuples, based on the contents of the implementing subclass. `parameter` is a string containing a parameter name and `value` an arbitrary string. No escaping of those strings is required.

Returns:
  a sequence of (key, value) pairs
Overrides: IFilter.createParameters
  (inherited documentation)